/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

/**
 * 給与データ一覧のレコードを保持する。<br><br>
 */
public class BonusListDto extends BaseDto {
	
	private static final long	serialVersionUID	= -5928119945964049178L;
	
//	 フィールド
	private String				kcode				= "";						// 社員コード
	private String				simei				= "";						// 氏名
	private String				furigana			= "";						// ふりがな
	private String				scode				= "";						// 所属コード
	private String				ycode				= "";						// 役職コード
	private String				jcode				= "";						// 事業所コード
																				
	private int					paymentTotal		= 0;						// 差引支給額
	private String				officeName			= "";						// 事業所名
	private String				sectionName			= "";						// 所属名
	private String				positionName		= "";						// 役職名
																				
	
	/**
	 * 差引支給額を取得する。
	 * @return 差引支給額
	 */
	public int getPaymentTotal() {
		return paymentTotal;
	}
	
	/**
	 * 差引支給額を設定する。
	 * @param paymentTotal 設定する差引支給額
	 */
	public void setPaymentTotal(int paymentTotal) {
		this.paymentTotal = paymentTotal;
	}
	
	/**
	 * 事業所名を取得する。
	 * @return 事業所名
	 */
	public String getOfficeName() {
		return officeName;
	}
	
	/**
	 * 事業所名を設定する。
	 * @param officeName 設定する事業所名
	 */
	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}
	
	/**
	 * 役職名を取得する。
	 * @return 役職名
	 */
	public String getPositionName() {
		return positionName;
	}
	
	/**
	 * 役職名を設定する。
	 * @param positionName 設定する役職名
	 */
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}
	
	/**
	 * 所属名を取得する。
	 * @return 所属名
	 */
	public String getSectionName() {
		return sectionName;
	}
	
	/**
	 * 所属名を設定する。
	 * @param sectionName 設定する所属名
	 */
	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kcode;
	} //社員コード
	
	public String getSimei() {
		return simei;
	} //氏名
	
	public String getFurigana() {
		return furigana;
	} //ふりがな
	
	public String getSCode() {
		return scode;
	} //所属コード
	
	public String getYCode() {
		return ycode;
	} //役職コード
	
	public String getJCode() {
		return jcode;
	} //事業所コード
	
	public void setKCode(String kCode) {
		kcode = kCode;
	} //社員コード
	
	public void setSimei(String simei) {
		this.simei = simei;
	} //氏名
	
	public void setFurigana(String furigana) {
		this.furigana = furigana;
	} //ふりがな
	
	public void setSCode(String sCode) {
		scode = sCode;
	} //所属コード
	
	public void setYCode(String yCode) {
		ycode = yCode;
	} //役職コード
	
	public void setJCode(String jCode) {
		jcode = jCode;
	} //事業所コード
	
}
